import _defineProperty from '@babel/runtime/helpers/defineProperty';
import './index-bbdfb97a.js';
import SummaryOptionTree from './index-ea5e3e90.js';
import SummaryArticles from './index-69fd5e9e.js';
import SettingsItemAccessoireTemplate from './index-079ef135.js';
import Gallery from './index-4b48794b.js';
import SettingsItemDefaultTemplate from './index-66fd1759.js';
import Range from './index-8a330776.js';
import SettingsItemRoomTemplate from './index-4fda4c71.js';
import ViewPoint from './index-d896efe9.js';
import NumberBox from './index-6051ac01.js';
import PlannerSwitch from './index-79fbb400.js';
import Varaint from './index-2e39dac3.js';
import GalleryText from './index-1641324b.js';
import 'react';
import GalleryText2 from './index-0e0e6ac6.js';
import FaceLift from './index-a1cef81d.js';
import PlannerOverviewItem from './index-4c03ac5c.js';
import Article from './index-b7364bb1.js';
import { jsx, Fragment } from 'react/jsx-runtime';
import 'react-dynamic-multi-render';
import '@crystaldesign/diva-core';
import 'mobx-react-lite';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import 'react-switch';
import 'react-countup';
import 'react-laag';
import './index.module-25687dd9.js';
import './index-3f40a92d.js';
import './index-04a7a9b4.js';
import './index-755074ae.js';
import '@mui/icons-material/Block';
import '@mui/icons-material/Warning';
import './index.module-fe49e10f.js';
import './index-ec31a7cb.js';
import './index-7635bafb.js';
import './index-10d8be2f.js';
import '@babel/runtime/helpers/objectDestructuringEmpty';

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var itemPaletteTypeComponentMap = {
  ART: Article,
  ART_2: FaceLift,
  'PLANNER_2.0': PlannerOverviewItem,
  PLANNERSWITCH: PlannerSwitch,
  ACC: SettingsItemAccessoireTemplate,
  ACC_CONFIG: SettingsItemAccessoireTemplate,
  VERY_SMALL: SettingsItemDefaultTemplate,
  SMALL: SettingsItemDefaultTemplate,
  GAL_GROUP_DROPDOWN: function GAL_GROUP_DROPDOWN(props) {
    return /*#__PURE__*/jsx(GalleryText, _objectSpread({
      type: "normalimage.png"
    }, props));
  },
  GAL_SMALL_GROUP_DROPDOWN: function GAL_SMALL_GROUP_DROPDOWN(props) {
    return /*#__PURE__*/jsx(GalleryText, _objectSpread({
      type: "small"
    }, props));
  },
  GAL: Gallery,
  GAL_SMALL: Gallery,
  GAL_BIG: Gallery,
  RANGE: Range,
  NUMBER: NumberBox,
  SLIDER: function SLIDER() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  MULTI_TOGGLE: function MULTI_TOGGLE() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  MULTI_TOGGLE_ROUND: function MULTI_TOGGLE_ROUND() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  RADIO: function RADIO() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  RADIO_LIST: function RADIO_LIST() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  SUMMARY_ARTICLES: SummaryArticles,
  SUMMARY_OPTIONTREE: SummaryOptionTree,
  VARIANTS: Varaint,
  STATICROOM: SettingsItemRoomTemplate,
  VIEWPOINT: ViewPoint,
  DROPDOWN_TEXT: function DROPDOWN_TEXT() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  DROPDOWN_IMAGE: function DROPDOWN_IMAGE() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  TOGGLE: function TOGGLE() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  TOGGLE_HEADER: function TOGGLE_HEADER() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  TOGGLE_NAME: function TOGGLE_NAME() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  DOOR_PLANNER: function DOOR_PLANNER() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  TEXTBOX: function TEXTBOX() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  SHELFPLANNER: function SHELFPLANNER() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  PRODUCTS: function PRODUCTS() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  PROMOTED: function PROMOTED() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  CHECKOUT: function CHECKOUT() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  STYLE_CONSULTANT: function STYLE_CONSULTANT() {
    return /*#__PURE__*/jsx(Fragment, {});
  },
  GAL_TEXT_2: function GAL_TEXT_2(props) {
    return /*#__PURE__*/jsx(GalleryText2, _objectSpread({}, props));
  },
  GAL_BIG_TEXT_2: function GAL_BIG_TEXT_2(props) {
    return /*#__PURE__*/jsx(GalleryText2, _objectSpread({
      type: "big"
    }, props));
  },
  GAL_SMALL_TEXT_2: function GAL_SMALL_TEXT_2(props) {
    return /*#__PURE__*/jsx(GalleryText2, _objectSpread({
      type: "small"
    }, props));
  },
  GAL_TEXT: function GAL_TEXT(props) {
    return /*#__PURE__*/jsx(GalleryText, _objectSpread({}, props));
  },
  GAL_BIG_TEXT: function GAL_BIG_TEXT(props) {
    return /*#__PURE__*/jsx(GalleryText, _objectSpread({
      type: "big"
    }, props));
  },
  GAL_SMALL_TEXT: function GAL_SMALL_TEXT(props) {
    return /*#__PURE__*/jsx(GalleryText, _objectSpread({
      type: "small"
    }, props));
  },
  GAL_VERY_SMALL_TEXT: function GAL_VERY_SMALL_TEXT(props) {
    return /*#__PURE__*/jsx(GalleryText, _objectSpread({
      type: "verysmall"
    }, props));
  }
};

export { itemPaletteTypeComponentMap as default };
